Get an ACL destination
get
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the ACL destination.
Responses
200
ACL destination details.
application/json
An ACL destination. All relations represented as arrays of IDs.
addressesstringRequired
any_addressbooleanRequired
any_portbooleanRequired
any_protocolbooleanRequired
idinteger · int64Optional
kindstring · enumRequiredPossible values:
Type of an ACL alias:
destination: the alias defines a complete destination that an ACL rule applies to.component: the alias defines parts of a destination and is combined with the parts defined in the ACL rule itself.
namestringRequired
parent_idinteger · int64 · nullableOptional
portsstringRequired
protocolsinteger · int32[]Required
rulesinteger · int64[]Required
statestring · enumRequiredPossible values:
ACL alias can be in one of the following states:
- Applied: the alias can be used in ACL rules
- Modified: the alias has been modified and the changes have not yet been applied
Unlike ACL rules themselves aliases do not require a New state,
since they do not cause any changes to locations until they
are used by a rule.
Deleted state is also omitted since we don't allow deleting if an alias is used by any rules.
401
Session is missing or invalid.
application/json
403
Requires admin privileges and an active enterprise license.
application/json
404
ACL destination not found.
500
Unable to get ACL destination.
application/json
get/api/v1/acl/destination/{id}
GET /api/v1/acl/destination/{id} HTTP/1.1
Accept: */*
{
"addresses": "text",
"any_address": true,
"any_port": true,
"any_protocol": true,
"id": 1,
"kind": "Destination",
"name": "text",
"parent_id": null,
"ports": "text",
"protocols": [
1
],
"rules": [
1
],
"state": "Applied"
}Last updated
Was this helpful?